ESRILinkPointRecord (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link.shape
Class ESRILinkPointRecord

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.ShapeUtils
          com.bbn.openmap.layer.shape.ESRIRecord
              com.bbn.openmap.layer.shape.ESRIPointRecord
                  com.bbn.openmap.layer.link.shape.ESRILinkPointRecord

All Implemented Interfaces:
  ShapeConstants, ESRILinkRecord

    public class ESRILinkPointRecord

extends ESRIPointRecord
implements ESRILinkRecord

An ESRI Point record.

Version:
  $Revision: 1.4 $ $Date: 2004/10/14 18:05:58 $
Author:
  Ray Tomlinson, Tom Mitchell

Field Summary

Fields inherited from class com.bbn.openmap.layer.shape.ESRIPointRecord
`ii, x, y`

Fields inherited from class com.bbn.openmap.layer.shape.ESRIRecord
`contentLength, recordNumber`

Fields inherited from interface com.bbn.openmap.dataAccess.shape.ShapeConstants
`DBF_ATTRIBUTE, DBF_AUTOINCREMENT, DBF_BINARY, DBF_CHARACTER, DBF_DATE, DBF_DOUBLE, DBF_FLOAT, DBF_LOGICAL, DBF_LONG, DBF_MEMO, DBF_NUMERIC, DBF_OLE, DBF_TIMESTAMP, DBF_TYPE_AUTOINCREMENT, DBF_TYPE_BINARY, DBF_TYPE_CHARACTER, DBF_TYPE_DATE, DBF_TYPE_DOUBLE, DBF_TYPE_FLOAT, DBF_TYPE_LOGICAL, DBF_TYPE_LONG, DBF_TYPE_MEMO, DBF_TYPE_NUMERIC, DBF_TYPE_OLE, DBF_TYPE_TIMESTAMP, PARAM_DBF, PARAM_SHP, PARAM_SHX, SHAPE_BOUNDS_ATTRIBUTE, SHAPE_DBF_DASHPATTERN, SHAPE_DBF_DASHPHASE, SHAPE_DBF_DESCRIPTION, SHAPE_DBF_FILLCOLOR, SHAPE_DBF_INFO_ATTRIBUTE, SHAPE_DBF_LINECOLOR, SHAPE_DBF_LINEWIDTH, SHAPE_DBF_SELECTCOLOR, SHAPE_FILE_HEADER_LENGTH, SHAPE_FILE_RECORD_HEADER_LENGTH, SHAPE_INDEX_ATTRIBUTE, SHAPE_MAX_MEASURE_ATTRIBUTE, SHAPE_MAX_Z_ATTRIBUTE, SHAPE_MEASURE_ATTRIBUTE, SHAPE_MIN_MEASURE_ATTRIBUTE, SHAPE_MIN_Z_ATTRIBUTE, SHAPE_TYPE_ARC, SHAPE_TYPE_MULTIPATCH, SHAPE_TYPE_MULTIPOINT, SHAPE_TYPE_MULTIPOINTM, SHAPE_TYPE_MULTIPOINTZ, SHAPE_TYPE_NULL, SHAPE_TYPE_POINT, SHAPE_TYPE_POINTM, SHAPE_TYPE_POINTZ, SHAPE_TYPE_POLYGON, SHAPE_TYPE_POLYGONM, SHAPE_TYPE_POLYGONZ, SHAPE_TYPE_POLYLINE, SHAPE_TYPE_POLYLINEM, SHAPE_TYPE_POLYLINEZ, SHAPE_Z_ATTRIBUTE`

Constructor Summary
`ESRILinkPointRecord(byte[] b, int off)` Initialize a point record from the given buffer.
`ESRILinkPointRecord(double x, double y)` Initializes this point from the given point.

Method Summary
`void` | `writeLinkGraphics(LinkGraphicList lgl, LinkProperties properties)` Generates OMGraphics and adds them to the given list.

Methods inherited from class com.bbn.openmap.layer.shape.ESRIPointRecord
`addOMGeometry, addOMGraphics, getBoundingBox, getRecordLength, getShapeType, getX, getY, write`

Methods inherited from class com.bbn.openmap.layer.shape.ESRIRecord
`getBinaryStoreSize, getContentLength, getRecordNumber`

Methods inherited from class com.bbn.openmap.dataAccess.shape.ShapeUtils
`getStringForType, readBEInt, readBox, readLEDouble, readLEInt, readLEInt, readLELong, readPoint, writeBEInt, writeBox, writeLEDouble, writeLEInt, writeLELong, writePoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ESRILinkPointRecord

    public ESRILinkPointRecord(double x,
                               double y)

  Initializes this point from the given point.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate

### ESRILinkPointRecord

    public ESRILinkPointRecord(byte[] b,
                               int off)
                        throws java.io.IOException

  Initialize a point record from the given buffer.

  Parameters:
    `b` - the buffer
    `off` - the offset into the buffer where the data starts
  Throws:
    `java.io.IOException`

Method Detail

### writeLinkGraphics

    public void writeLinkGraphics(LinkGraphicList lgl,
                                  LinkProperties properties)
                           throws java.io.IOException

  Generates OMGraphics and adds them to the given list.

  Specified by:
    `writeLinkGraphics` in interface `ESRILinkRecord`
  Parameters:
    `lgl` - the graphics response to write the point to.
    `properties` - the semantic description of how the point should be drawn.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details